// Lcd pinout settings
sbit LCD_RS at RD2_bit;
sbit LCD_EN at RD3_bit;
sbit LCD_D7 at RD7_bit;
sbit LCD_D6 at RD6_bit;
sbit LCD_D5 at RD5_bit;
sbit LCD_D4 at RD4_bit;

// Pin direction
sbit LCD_RS_Direction at TRISD2_bit;
sbit LCD_EN_Direction at TRISD3_bit;
sbit LCD_D7_Direction at TRISD7_bit;
sbit LCD_D6_Direction at TRISD6_bit;
sbit LCD_D5_Direction at TRISD5_bit;
sbit LCD_D4_Direction at TRISD4_bit;

unsigned char i;                              // Loop variable
//unsigned int x;

void Initiate_LCD (void){
   //ADCON1 = 0xFF;
   TRISD = 0x00;
   //PORTD = 0xFF;
   LATD = 0xFF;
    Delay_ms(500);
   Lcd_Init();                        // Initialize LCD
}

void Move2Right_Text(int x) {
     for(i=0; i<x; i++) {               // Move text to the right x times
     Lcd_Cmd(_LCD_SHIFT_RIGHT);
     Delay_ms(500);
     }
}

void Move2Left_Text(int x) {
     for(i=0; i<x; i++) {               // Move text to the Left x times
     Lcd_Cmd(_LCD_SHIFT_LEFT);
     Delay_ms(500);
     }
}